using System;
using System.Windows.Forms;
using Eco.Windows.Forms;

namespace EcoProject1
{
	static class Program
	{
		private static EcoProject1.EcoProject1EcoSpace ecoSpace;

		/// <summary>
		/// The global EcoSpace instance.
		/// </summary>
		public static EcoProject1.EcoProject1EcoSpace EcoSpace
		{
			get { return ecoSpace; }
		}

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			WinFormDequeuer.Active = true;
			Form mainForm = null;
			try
			{
				ecoSpace = new EcoProject1.EcoProject1EcoSpace();
				ecoSpace.Active = true;
				mainForm = new Form1(ecoSpace);

			}
			catch (Exception e)
			{
				new ThreadExceptionDialog(e).ShowDialog();
				throw;
			}
			Application.Run(mainForm);
			ecoSpace.Dispose();
		}
	}
}
