using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Eco.Handles;
using Eco.Windows.Forms;
using Eco.WinForm;
using Eco.ObjectRepresentation;
using Eco.Services;

namespace DevGroupGettingStartedWithEco
{
    public partial class FilteringData : System.Windows.Forms.Form
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.Container components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            Eco.Handles.OclVariable oclVariable1 = new Eco.Handles.OclVariable("vSearchText", this.vhFilterText);
            this.vhFilterText = new Eco.Handles.VariableHandle();
            this.rhRoot = new Eco.Handles.ReferenceHandle();
            this.EcoListActions = new Eco.WinForm.EcoListActionExtender();
            this.EcoDragDrop = new Eco.WinForm.EcoDragDropExtender();
            this.EcoGlobalActions = new Eco.WinForm.EcoActionExtender();
            this.EcoAutoForms = new Eco.WinForm.EcoAutoFormExtender();
            this.label1 = new System.Windows.Forms.Label();
            this.tbxReference = new System.Windows.Forms.TextBox();
            this.dgvFilteredProducts = new System.Windows.Forms.DataGridView();
            this.nameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.ehFilteredProducts = new Eco.Handles.ExpressionHandle();
            this.oclVariables1 = new Eco.Handles.OclVariables();
            ((System.ComponentModel.ISupportInitialize)(this.vhFilterText)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.rhRoot)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.dgvFilteredProducts)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ehFilteredProducts)).BeginInit();
            this.SuspendLayout();
            // 
            // vhFilterText
            // 
            this.vhFilterText.EcoSpaceTypeName = "DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace";
            this.vhFilterText.StaticValueTypeName = "System.String";
            // 
            // rhRoot
            // 
            this.rhRoot.EcoSpaceTypeName = "DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace";
            // 
            // EcoListActions
            // 
            this.EcoListActions.DeleteQuestion = "Delete object(s)?";
            // 
            // EcoGlobalActions
            // 
            this.EcoGlobalActions.RootHandle = this.rhRoot;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(3, 9);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(49, 17);
            this.label1.TabIndex = 0;
            this.label1.Text = "Name:";
            // 
            // tbxReference
            // 
            this.tbxReference.Location = new System.Drawing.Point(58, 6);
            this.tbxReference.Name = "tbxReference";
            this.tbxReference.Size = new System.Drawing.Size(368, 22);
            this.tbxReference.TabIndex = 1;
            this.tbxReference.KeyUp += new System.Windows.Forms.KeyEventHandler(this.tbxReference_KeyUp);
            // 
            // dgvFilteredProducts
            // 
            this.dgvFilteredProducts.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.dgvFilteredProducts.AutoGenerateColumns = false;
            this.dgvFilteredProducts.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dgvFilteredProducts.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.nameDataGridViewTextBoxColumn});
            this.dgvFilteredProducts.DataSource = this.ehFilteredProducts;
            this.dgvFilteredProducts.Location = new System.Drawing.Point(6, 34);
            this.dgvFilteredProducts.Name = "dgvFilteredProducts";
            this.dgvFilteredProducts.RowTemplate.Height = 24;
            this.dgvFilteredProducts.Size = new System.Drawing.Size(826, 453);
            this.dgvFilteredProducts.TabIndex = 3;
            // 
            // nameDataGridViewTextBoxColumn
            // 
            this.nameDataGridViewTextBoxColumn.DataPropertyName = "Name";
            this.nameDataGridViewTextBoxColumn.HeaderText = "Name";
            this.nameDataGridViewTextBoxColumn.Name = "nameDataGridViewTextBoxColumn";
            this.nameDataGridViewTextBoxColumn.Width = 250;
            // 
            // ehFilteredProducts
            // 
            this.ehFilteredProducts.Expression = "Product.allInstances->select(prod | prod.Name.sqlLikeCaseInsensitive(vSearchText " +
                "+ \'%\'))";
            this.ehFilteredProducts.RootHandle = this.rhRoot;
            this.ehFilteredProducts.Variables = this.oclVariables1;
            // 
            // oclVariables1
            // 
            oclVariable1.ElementHandle = this.vhFilterText;
            oclVariable1.VariableName = "vSearchText";
            this.oclVariables1.OclVariableCollection.AddRange(new Eco.Handles.OclVariable[] {
            oclVariable1});
            // 
            // FilteringData
            // 
            this.ClientSize = new System.Drawing.Size(837, 491);
            this.Controls.Add(this.dgvFilteredProducts);
            this.Controls.Add(this.tbxReference);
            this.Controls.Add(this.label1);
            this.Name = "FilteringData";
            this.Text = "Filtering Objects Data Example";
            ((System.ComponentModel.ISupportInitialize)(this.vhFilterText)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.rhRoot)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.dgvFilteredProducts)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ehFilteredProducts)).EndInit();
            this.ResumeLayout(false);
            this.PerformLayout();

        }
        #endregion

        private Eco.Handles.ReferenceHandle rhRoot;
        private Eco.WinForm.EcoActionExtender EcoGlobalActions;
        private Eco.WinForm.EcoDragDropExtender EcoDragDrop;
        private Eco.WinForm.EcoAutoFormExtender EcoAutoForms;
        private Eco.WinForm.EcoListActionExtender EcoListActions;
        private Label label1;
        private TextBox tbxReference;
        private DataGridView dgvFilteredProducts;
        private ExpressionHandle ehFilteredProducts;
        private OclVariables oclVariables1;
        private VariableHandle vhFilterText;
        private DataGridViewTextBoxColumn nameDataGridViewTextBoxColumn;
    }
}
