using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Eco.Handles;
using Eco.Windows.Forms;
using Eco.WinForm;
using Eco.ObjectRepresentation;
using Eco.Services;

namespace DevGroupGettingStartedWithEco
{
    /// <summary>
    /// Summary description for PersistenceSearch.
    /// </summary>
    public partial class PersistenceSearch : System.Windows.Forms.Form
    {

        public PersistenceSearch(DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace ecoSpace)
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();

            // Set EcoSpace (actually stores it in rhRoot.EcoSpace)
            // Note that you need to set the EcoSpace property for 
            // each ReferenceHandle and VariableHandle you add to 
            // the form.
            rhRoot.EcoSpace = ecoSpace;
            vhReference.EcoSpace = ecoSpace;
        }

        public DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace EcoSpace
        {
            get { return (DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace)rhRoot.EcoSpace; }
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            // Take the text provided by the user as the Like search criteria.
            vhReference.Element.AsObject = tbxReference.Text;
            ophInvoiceSearch.Execute();
        }
    }
}
