using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Eco.Handles;
using Eco.Windows.Forms;
using Eco.WinForm;
using Eco.ObjectRepresentation;
using Eco.Services;

namespace DevGroupGettingStartedWithEco
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public partial class ProgramStart : System.Windows.Forms.Form
	{

		public ProgramStart(DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace ecoSpace)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			// Set EcoSpace (actually stores it in rhRoot.EcoSpace)
			// Note that you need to set the EcoSpace property for 
			// each ReferenceHandle and VariableHandle you add to 
			// the form.
			rhRoot.EcoSpace = ecoSpace;
		}

		public DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace EcoSpace
		{
			get { return (DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace)rhRoot.EcoSpace; }
		}

        private void btnManageProducts_Click(object sender, EventArgs e)
        {
            ManageProducts mp = new ManageProducts(this.EcoSpace);
            mp.ShowDialog();
        }

        private void btnManageInvoices_Click(object sender, EventArgs e)
        {
            ManageInvoices mi = new ManageInvoices(this.EcoSpace);
            mi.ShowDialog();
        }

        private void btnPersistenceSearch_Click(object sender, EventArgs e)
        {
            PersistenceSearch ps = new PersistenceSearch(this.EcoSpace);
            ps.ShowDialog();
        }

        private void btnFilteringData_Click(object sender, EventArgs e)
        {
            FilteringData fd = new FilteringData(this.EcoSpace);
            fd.ShowDialog();
        }

        private void ProgramStart_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (EcoSpace.DirtyList.HasDirtyObjects())
            {
                EcoSpace.UpdateDatabase();
            }
        }

        private void btnCodeRetrieval_Click(object sender, EventArgs e)
        {
            CodeRetrieval cr = new CodeRetrieval(this.EcoSpace);
            cr.ShowDialog();
        }
	}
}
